%define upstream_name    Math-Prime-XS
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Detect and calculate prime numbers with deterministic tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(boolean)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

# Filters (not)shared c libs
%{?perl_default_filter}

%description
'Math::Prime::XS' detects and calculates prime numbers by either applying
Modulo operator division, the Sieve of Eratosthenes, a Summation
calculation or Trial division.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml META.json INSTALL README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.260.0-12.mga6
+ Revision: 1029750
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.260.0-11.mga6
+ Revision: 957749
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.260.0-10.mga6
+ Revision: 845011
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.260.0-9.mga6
+ Revision: 840832
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-8.mga5
+ Revision: 746963
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.260.0-7.mga5
+ Revision: 735681
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.260.0-6.mga5
+ Revision: 685373
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.260.0-5.mga5
+ Revision: 632304
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.260.0-4.mga4
+ Revision: 524925
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.260.0-3.mga4
+ Revision: 431626
- perl 5.18.0 rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.260.0-1.mga3
+ Revision: 304313
- imported package perl-Math-Prime-XS


* Wed Oct 10 2012 cpan2dist 0.26-1mga
- initial mageia release, generated with cpan2dist
